#! /bin/sh

# Command line
../src/fqseqname -h 2>/dev/null || exit 1

# Default
../src/fqseqname $srcdir/sample.fq >/dev/null 2>&1 || exit 1

## Save output to file (-o)
../src/fqseqname $srcdir/sample.fq >_stdout.lst || exit 1
../src/fqseqname -o _output.lst $srcdir/sample.fq || exit 1
cmp -s _stdout.lst _output.lst || exit 1

## No member pair information (-p)
../src/fqseqname $srcdir/sample.fq >_default.lst || exit 1
../src/fqseqname -p $srcdir/sample.fq >_nopair.lst || exit 1
sed 's,/[12]$,,' _default.lst >_expect.lst || exit 1
cmp -s _expect.lst _nopair.lst || exit 1

# Cleanup
rm -f _*.lst

exit 0
